LFR-FSW - Task #3188

TC_LFR trop courte (< CCSDS_TC_PKT_MIN_SIZE )
07/11/2018 08:45 AM - Veronique bouzid

Status: Closed Start date: 07/11/2018
Priority: Normal Due date:

Assignee: bruno katra % Done: 90%
Category: SRS Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r3.2.0.24

Description

Mettre a jour la SRS, SVS, SUM pour la prise en compte d une commande trop courte. Aucun requirement dans la SSS ne traite de
ce cas.
Voir tache #3146

History

#1 -21/11/2018 09:53 AM - Veronique bouzid

La SRS a été mise a jour:
- REQ-LFR-SRS-5204
- REQ-LFR-SRS-5409

La SVS a été mise a jour SVS-0003.

--> Reste donc le SUM

#2 - 17/12/2018 02:04 PM - bruno katra

- Description updated
Erreur de la tache reférencée dans la description de cette issue : c'est 3146 au lieu de 3148. Correction faite

#3 - 17/12/2018 03:38 PM - bruno katra
- Status changed from New to In Progress

- % Done changed from 0 to 90

Ce comportement non nominal trés particulier est trop spécifique pour étre détaillé dans le SUM. Il est annoté dans la SRS qui est une document
applicable cité dans le SUM. Je pense que c'est suffisant.
Par contre la SRS doit étre corrigée : le REQ 5204 n'est pas pas clair. Mails envoyés a Véronique pour clarification, en attente de réponse.

#4 - 18/12/2018 08:00 AM - Veronique bouzid
Supprimer les modifications apportées dans la SRS concerant les 2 REQ REQ-LFR-SRS-5204_Ed1 REQ-LFR-SRS-5409_Ed1

--> p5 enlever les 2 REQ de la section Updated
- REQ-LFR-SRS-5204_Ed1

--> supprimer la Note ci dessous
Note : command packet which the length is too long (SY_LFR_TC_MAX_SIZE)) or too short (CCSDS_TC_PKT_MIN = 16 bytes) doesn’t not be
verified by the acceptance stage.

-REQ-LFR-SRS-5409_Ed1

supprimer les lignes suivantes

In case of LFR FSW shall receive commands from DPU a telecommand with a length < CCSDS_TC_PKT_MIN_SIZE , LFR FSW doesn’t
acknowledge the TC during acceptance stage and no failure report will be generated. CCSDS_TC_PKT_MIN_SIZE = 16 Bytes, minimal size of all
TC_LFR_xxx.

#5 - 18/12/2018 12:12 PM - bruno katra

Aprés discussions avec Véro : on retire les modfis du 5409 (ne concerne que les paquets trop grands)

5204 est updaté comme suit :

Upon the reception of any command packet > CCSDS_TC_PKT_MIN( = 16 bytes), the LFR FSW shall verify if the packet can be accepted by:
[l Checking the following items in this specific order :
APID (PID, CAT)

Length of the received packet should match packet_length field contained in packet header

service type and service subtype

source ID

Length_packet field value is relevant with expected length considering definition of the sub-type.

packet error control (CRC). The algorithm to compute the packet error control is specified in the [AD10], appendix 6.

s s I s s s s

If at least one of this criteria fails, TM_LFR_EXE_CORRUPTED packet is emitted with failure code 42005

[l Checking that the command is allowed in the current mode (see tab 5.2) and/or state of the instrument.
[l No check of the packet sequence counter shall be made.

Note for the LFR : allowed commands should be independent of its state.

Note : if a command with size < CCSDS_TC_PKT MIN( = 16 bytes) is received, LFR discards it and does not acknow
ledge it (no failure report is generated).

#6 - 18/12/2018 12:12 PM - bruno katra

- Status changed from In Progress to Closed
